Loading...
Searching...
No Matches
BALL::Constraint Class Referenceabstract

`#include <BALL/DOCKING/COMMON/constraints.h>`

Inheritance diagram for BALL::Constraint:

## Public Member Functions

| Constraint ()
virtual | ~Constraint ()
virtual double | calculateScore (AtomContainer *mol)=0
virtual void | setName (String name)
String | getName ()
String | getType ()
virtual void | setScoringFunction (ScoringFunction *sf)

## Protected Attributes

String | name_
String | type_
double | penalty_
ScoringFunction * | scoring_function_

## Detailed Description

Definition at line 41 of file constraints.h.

## Constructor & Destructor Documentation

## Constraint()

BALL::Constraint::Constraint | ( |  | ) |

## ~Constraint()

virtual BALL::Constraint::~Constraint | ( |  | ) |

virtual

## Member Function Documentation

## calculateScore()

virtual double BALL::Constraint::calculateScore | ( | AtomContainer * | mol | ) |

pure virtual

Implemented in BALL::PharmacophoreConstraint, and BALL::ReferenceArea.

## getName()

String BALL::Constraint::getName | ( |  | ) |

## getType()

String BALL::Constraint::getType | ( |  | ) |

## setName()

virtual void BALL::Constraint::setName | ( | String | name | ) |

virtual

Set a name for this ReferenceArea. This way, the score summary printed by the ScoringFunction can be analyzed more easily

Reimplemented in BALL::ReferenceArea.

## setScoringFunction()

virtual void BALL::Constraint::setScoringFunction | ( | ScoringFunction * | sf | ) |

virtual

Reimplemented in BALL::PharmacophoreConstraint, and BALL::ReferenceArea.

## Member Data Documentation

## name_

String BALL::Constraint::name_

protected

Definition at line 60 of file constraints.h.

## penalty_

double BALL::Constraint::penalty_

protected

penalty value that is to be added to the calculated energy if the desired constraints are not fullfilled.

Definition at line 66 of file constraints.h.

## scoring_function_

ScoringFunction* BALL::Constraint::scoring_function_

protected

Definition at line 67 of file constraints.h.

## type_

String BALL::Constraint::type_

protected

Stores the type - 'ReferenceArea' or 'PharmacophoreConstraint' - of this Constraint for text output purposes.

Definition at line 63 of file constraints.h.